Bug 117304 - mail/postfix and postfix-current does not build unter 8.0-CURRENT
Summary: mail/postfix and postfix-current does not build unter 8.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-18 17:20 UTC by Oliver Peter
Modified: 2007-10-22 23:50 UTC (History)
0 users

See Also:


Attachments
file.diff (359 bytes, patch)
2007-10-18 17:20 UTC, Oliver Peter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Peter 2007-10-18 17:20:01 UTC

Fix: hoschi@marathon /usr/ports/mail/postfix-current % diff -u files/patch-makedefs.orig files/patch-makedefs
How-To-Repeat: hoschi@marathon /usr/ports/mail/postfix-current % sudo make
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for postfix-current-2.5.20070911,4
===>  Extracting for postfix-current-2.5.20070911,4
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for postfix-current-2.5.20070911,4
=> MD5 Checksum OK for postfix/postfix-2.5-20070911.tar.gz.
=> SHA256 Checksum OK for postfix/postfix-2.5-20070911.tar.gz.
===>   postfix-current-2.5.20070911,4 depends on file: /usr/local/bin/perl5.8.8 - found
===>  Patching for postfix-current-2.5.20070911,4
===>   postfix-current-2.5.20070911,4 depends on file: /usr/local/bin/perl5.8.8 - found
===>  Applying FreeBSD patches for postfix-current-2.5.20070911,4
===>   postfix-current-2.5.20070911,4 depends on file: /usr/local/bin/perl5.8.8 - found
===>   postfix-current-2.5.20070911,4 depends on shared library: pcre.0 - found
===>  Configuring for postfix-current-2.5.20070911,4
(cd /usr/obj/build/usr/ports/mail/postfix-current/work/postfix-2.5-20070911 && make -f Makefile.init makefiles DEBUG= CC="cc" OPT="-O -fno-strict-aliasing -pipe -march=pentium4"  CCARGS="-DHAS_PCRE -I/usr/local/include" AUXLIBS="-L/usr/local/lib -lpcre" &&  echo "all: default" >> Makefile)
make -f Makefile.in MAKELEVEL= Makefiles
(echo "# Do not edit -- this file documents how Postfix was built for your machine."; /bin/sh makedefs) >makedefs.tmp
ATTENTION:
ATTENTION: Unknown system type: FreeBSD 8.0-CURRENT
ATTENTION:
*** Error code 1

Stop in /usr/obj/build/usr/ports/mail/postfix-current/work/postfix-2.5-20070911.
*** Error code 1

Stop in /usr/obj/build/usr/ports/mail/postfix-current/work/postfix-2.5-20070911.
*** Error code 1

Stop in /usr/ports/mail/postfix-current.
*** Error code 1

Stop in /usr/ports/mail/postfix-current.
*** Error code 1

Stop in /usr/ports/mail/postfix-current.
Comment 1 Edwin Groothuis freebsd_committer 2007-10-18 22:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Vick Khera 2007-10-19 19:20:33 UTC
this seems like a suitable patch until postfix learns about freebsd 8  
natively.
Comment 3 Vick Khera 2007-10-19 19:21:04 UTC
oh... just to be clear, I approve this patch :-)

please also submit to upstream postfix author.  thanks!
Comment 4 Marcus Alves Grando freebsd_committer 2007-10-19 20:31:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 5 Marcus Alves Grando freebsd_committer 2007-10-22 19:50:44 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2007-10-22 23:37:14 UTC
mnag        2007-10-22 18:39:39 UTC

  FreeBSD ports repository

  Modified files:
    mail/postfix         Makefile distinfo 
    mail/postfix/files   patch-makedefs 
  Log:
  - Update to 2.4.6
  - Update VDA patch to 2.4.5
  - Teach postfix to 8.0 [1]
  
  PR:             117304 [1]
  Submitted by:   Oliver Peter <hoschi___mouhaha.de> [1]
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.135     +2 -2      ports/mail/postfix/Makefile
  1.92      +6 -6      ports/mail/postfix/distinfo
  1.6       +6 -6      ports/mail/postfix/files/patch-makedefs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2007-10-22 23:46:32 UTC
mnag        2007-10-22 18:50:27 UTC

  FreeBSD ports repository

  Modified files:
    mail/postfix-current Makefile distinfo 
    mail/postfix-current/files patch-makedefs 
  Log:
  - Update to 2.5-20071006
  - Teach postfix to 8.0 [1]
  
  PR:             117304 [1]
  Submitted by:   Oliver Peter <hoschi___mouhaha.de> [1]
  
  Revision  Changes    Path
  1.217     +1 -1      ports/mail/postfix-current/Makefile
  1.155     +3 -3      ports/mail/postfix-current/distinfo
  1.3       +5 -7      ports/mail/postfix-current/files/patch-makedefs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"